javax.swing.event

## Interface CellEditorListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    BasicTreeUI.CellEditorHandler, JTable, JTable.AccessibleJTable

      public interface CellEditorListener
      extends EventListener

  CellEditorListener defines the interface for an object that listens to changes in a CellEditor

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `editingCanceled(ChangeEvent e)` This tells the listeners the editor has canceled editing
    `void` | `editingStopped(ChangeEvent e)` This tells the listeners the editor has ended editing

- - ### Method Detail

    - #### editingStopped

          void editingStopped(ChangeEvent e)

      This tells the listeners the editor has ended editing

    - #### editingCanceled

          void editingCanceled(ChangeEvent e)

      This tells the listeners the editor has canceled editing

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.